Bug 79880 - The GUI Network Configurator Crashes And Comes Up With a bug Report Apon Trying To Add a Device.
The GUI Network Configurator Crashes And Comes Up With a bug Report Apon Tryi...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-17 14:53 EST by Jason Spruill
Modified: 2007-04-18 12:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:53:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Spruill 2002-12-17 14:53:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-18.7.xsmp i686)

Description of problem:
While in the network configurator while inside X windows,  While on the Device
Tab, it crashes as soon as i click on the add button. This did not happen befor
i started doing updates.

Traceback (innermost last):
  File "/usr/sbin/internet-druid", line 1400, in ?
    window = mainDialog('druid')
  File "/usr/sbin/internet-druid", line 238, in __init__
    if modus == 'druid': self.on_deviceAddButton_clicked(None)
  File "/usr/sbin/internet-druid", line 473, in on_deviceAddButton_clicked
    interface = NewInterfaceDialog()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/NewInterfaceDialog.py",
line 82, in __init__
    iface = iface_creator (self.toplevel, do_save = None, druid = self.druid)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetInterface.py",
line 101, in __init__
    self.hwDruid = ethernetHardware(self.toplevel)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardwareDruid.py",
line 64, in __init__
    self.setup()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardwareDruid.py",
line 118, in setup
    list.append(modInfo[i]['description'])
KeyError: description

Local variables in innermost frame:
modInfo: <netconfpkg.Conf.ConfModInfo instance at 84d94c0>
list: ['RealTek RTL8129', 'Raytheon Raylink/WebGear/Aviator PCMCIA wireless',
'SMC Ultra32 EISA', 'DEC 21*40 and clones', 'Lucent Orinoco/Melco PCMCIA
wireless (alternate)', 'SMC 91c92 series PCMCIA', 'Aironet 4500 PCI-ISA-i365
wireless', 'Intel EtherExpress/1000', 'PCI NE2000 clones', 'MiCom-Interlan
NI5010', '3Com 3c515 Corkscrew', 'SMC 83c170 EPIC/100', 'NI5210 ethernet',
'AT1500, HP J2405A, most NE2100/clone', 'MyriCOM MyriNET SBUS', '3Com
EtherLink16', 'AT&T/Lucent/Hitachi ISA WaveLAN', 'SiS 900/7016CI', 'Cabletron
E2100', 'NE1000, NE2000, and compatible', 'Intel EtherExpress Pro 100B', 'Allied
Telesis AT1700', 'Greenwigh GIrBIL IrDA', 'Older DEC 21040, most 21*40', 'NSC
IrDA', 'Sun Quad', 'ICL EtherTeam 16i/32 EISA', '3Com 3c590/3c595/3c90x/3cx980',
'3Com 3c589 series PCMCIA', 'Sun BigMac', 'ThunderLAN', '3Com 3c574 series
PCMCIA', 'Ansel Communications Model 3200', 'Aironet 4500 PCMCIA wireless',
'Xircom CBE-100 CardBus', 'General Instruments SB1000']
self: <netconfpkg.gui.EthernetHardwareDruid.ethernetHardware instance at
8545310>
i: defxx

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open Up Network Configurator
2. Starts On The Drvice Tab
3. Click Add.
4. Second Screen Comes up
5. Then instantly crashes.
    

Actual Results:  A window pops up that says would i like to debug, save, or ok.

Expected Results:  I should be able to add another device.

Additional info:

I am trying to setup a modem for dial-in, for remote access. the same error
occurs when i click the internet configurator wizard.
Comment 1 Need Real Name 2003-01-09 20:00:02 EST
Ran into the exact same thing too. Wanted to setup a PPoE for xDSL 
 
 
Comment 2 Bill Nottingham 2006-08-05 00:39:15 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2006-10-18 10:53:12 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.